### Function Macro

# RB profile_start

#### Declaration [src]

    #define rb_profile_start (
      msg
    )

#### Description [src]

Records a start point for profiling. This profile mechanism operates by issuing file access requests with filenames indicating the profile points. Use ‘strace -e access’ to gather this information.

This function is not directly available to language bindings.

#### Parameters

`msg`

  Type: `-`

  Profile point message.